Search rankings by ASIN
curl --request GET \
--url https://api.amazonomics.com/v1/search/asin \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.amazonomics.com/v1/search/asin"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.amazonomics.com/v1/search/asin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"search_term": "<string>",
"normalized_search_term": "<string>",
"data": {},
"summary": {
"total_periods": 123,
"best_rank": 123,
"worst_rank": 123,
"avg_rank": 123,
"latest_rank": 123,
"latest_period": "<string>"
},
"latest_data": {
"brands": [
"<string>"
],
"products": [
{
"asin": "<string>",
"title": "<string>",
"click_share": 123,
"conversion_share": 123
}
],
"categories": [
"<string>"
]
}
}
],
"pagination": {
"current_page": 2,
"page_size": 2,
"total_count": 123,
"total_pages": 123,
"has_next": true,
"has_previous": true
},
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"docs": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}{
"data": [
{
"search_term": "<string>",
"normalized_search_term": "<string>",
"data": {},
"summary": {
"total_periods": 123,
"best_rank": 123,
"worst_rank": 123,
"avg_rank": 123,
"latest_rank": 123,
"latest_period": "<string>"
},
"latest_data": {
"brands": [
"<string>"
],
"products": [
{
"asin": "<string>",
"title": "<string>",
"click_share": 123,
"conversion_share": 123
}
],
"categories": [
"<string>"
]
}
}
],
"pagination": {
"current_page": 2,
"page_size": 2,
"total_count": 123,
"total_pages": 123,
"has_next": true,
"has_previous": true
},
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"docs": "<string>"
}
}Search
Search rankings by ASIN
GET
/
v1
/
search
/
asin
Search rankings by ASIN
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
One or more Amazon ASINs to search for (10 characters each)
Minimum string length:
1Example:
"B08N5WRWNW"
Data frequency type
Available options:
weekly, monthly Example:
"monthly"
Page number for pagination
Required range:
x >= 1Example:
1
Number of results per page (max 1000)
Required range:
1 <= x <= 1000Example:
50
Filter by friendly category bucket name(s). Known stored category names are also accepted; unmatched values are treated as Other.
Field to sort results by, or a period (MM-YYYY/WW-YYYY)
Available options:
latest_period, latest_rank, best_rank, worst_rank, avg_rank, total_periods Example:
"latest_period"
Sort direction
Available options:
asc, desc, ASC, DESC Example:
"DESC"
Exclude results with null values in the latest period
Example:
false
Value format for period columns in exports
Available options:
raw, delta, percentage Example:
"raw"
Percentage threshold for color coding (0-50). Changes below this threshold show as neutral.
Required range:
0 <= x <= 50Example:
20
Was this page helpful?